From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-vpn/vpnc/
Date: Tue, 27 Sep 2022 09:55:24 +0000 (UTC) [thread overview]
Message-ID: <1664272511.1053a057f3af62989c9f20d67f100f3d83b7679c.soap@gentoo> (raw)
commit: 1053a057f3af62989c9f20d67f100f3d83b7679c
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 27 09:55:11 2022 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Sep 27 09:55:11 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1053a057
net-vpn/vpnc: add 0.5.3_p20220927
Closes: https://bugs.gentoo.org/870727
Signed-off-by: David Seifert <soap <AT> gentoo.org>
net-vpn/vpnc/Manifest | 2 +
net-vpn/vpnc/vpnc-0.5.3_p20220927.ebuild | 85 ++++++++++++++++++++++++++++++++
2 files changed, 87 insertions(+)
diff --git a/net-vpn/vpnc/Manifest b/net-vpn/vpnc/Manifest
index 8048d237274f..b7de56d3af33 100644
--- a/net-vpn/vpnc/Manifest
+++ b/net-vpn/vpnc/Manifest
@@ -1 +1,3 @@
+DIST vpnc-0.5.3-docs.tar.xz 4816 BLAKE2B fe972fb71e74dea481593ce42225a2969608dd4d29a2f34ca1f7b5b82a71a62bfbd94d5fcd2e8db830768be1e858682904e655b8629cb164961644bc5de291e1 SHA512 e3e9f3e3651906f41a4a6b0f4247b903fb555155cbda210823f36a5613d8390b6aad7615ff88fd627ece4037b0e0f04753ac924c9cd9c1335480ca8186d476b8
+DIST vpnc-0.5.3_p20220927.tar.gz 119773 BLAKE2B 0dabadac8b5a8116c07597140b6fa31e8f7daed9448e1bf653491809453ec114c0e96d38a8103d90a8b68dd2cefa0540ed676ced3fb9d57eaf16d8be5e3f0fa1 SHA512 e8c2254042c67283749331349467b2aed29ececc26de0bc3227c9c4a14f06d9d518599b28ca979df0cbe997c8997dda8afa508a0858c80ec270922096d8f906f
DIST vpnc-0.5.3_p550-r2.tar.gz 133339 BLAKE2B d4f09a62edbe3b4014c4903d908eecf27ee09705017f715aadc869592fb80d7f4482f08e4681dd9e9c22ae16ae185404e09572800de8cb76419c20f5bf8e17d1 SHA512 3adaf4c73c14c328ca9702c1e3d3c333b0a589f99b52990febf7b22ac87f666f1fc0a1d62e9831ec645567ca01425ea476a7bb62fee214012c97651e0e99b732
diff --git a/net-vpn/vpnc/vpnc-0.5.3_p20220927.ebuild b/net-vpn/vpnc/vpnc-0.5.3_p20220927.ebuild
new file mode 100644
index 000000000000..d62312b59c91
--- /dev/null
+++ b/net-vpn/vpnc/vpnc-0.5.3_p20220927.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-info systemd tmpfiles toolchain-funcs
+
+DESCRIPTION="Free client for Cisco VPN routing software"
+HOMEPAGE="https://www.unix-ag.uni-kl.de/~massar/vpnc/"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/streambinder/vpnc.git"
+else
+ inherit vcs-snapshot
+ SRC_URI="
+ https://api.github.com/repos/streambinder/vpnc/tarball/fdd0de7 -> ${P}.tar.gz
+ https://dev.gentoo.org/~soap/distfiles/${PN}-0.5.3-docs.tar.xz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="resolvconf +gnutls selinux"
+RESTRICT="!gnutls? ( bindist )"
+
+DEPEND="
+ dev-libs/libgcrypt:=
+ sys-apps/iproute2[-minimal]
+ gnutls? ( net-libs/gnutls:= )
+ !gnutls? ( dev-libs/openssl:= )"
+RDEPEND="${DEPEND}
+ >=net-vpn/vpnc-scripts-20210402-r1
+ resolvconf? ( virtual/resolvconf )
+ selinux? ( sec-policy/selinux-vpn )"
+BDEPEND="
+ dev-lang/perl
+ virtual/pkgconfig"
+
+CONFIG_CHECK="~TUN"
+
+src_unpack() {
+ if [[ ${PV} == *9999 ]]; then
+ git-r3_src_unpack
+ else
+ vcs-snapshot_src_unpack
+ mv vpnc-0.5.3-docs/src/doc/*.md "${S}"/src/doc/ || die
+ fi
+}
+
+src_configure() {
+ tc-export CC PKG_CONFIG
+ export OPENSSL_GPL_VIOLATION=$(usex !gnutls)
+}
+
+src_install() {
+ emake PREFIX="${EPREFIX}"/usr DOCDIR='$(PREFIX)'/share/doc/${PF} DESTDIR="${D}" install
+
+ keepdir /etc/vpnc/scripts.d
+ newinitd "${FILESDIR}"/vpnc-3.init vpnc
+ newconfd "${FILESDIR}"/vpnc.confd vpnc
+
+ dotmpfiles "${FILESDIR}"/vpnc-tmpfiles.conf
+ systemd_newunit "${FILESDIR}"/vpnc.service vpnc@.service
+
+ # LICENSE file resides here, should not be installed
+ rm -r "${ED}"/usr/share/licenses || die
+}
+
+pkg_postinst() {
+ tmpfiles_process vpnc-tmpfiles.conf
+
+ elog "You can generate a configuration file from the original Cisco profiles of your"
+ elog "connection by using /usr/bin/pcf2vpnc to convert the .pcf file"
+ elog "A guide is available at https://wiki.gentoo.org/wiki/Vpnc"
+
+ if use gnutls; then
+ elog "Will build with GnuTLS (default) instead of OpenSSL so you may even redistribute binaries."
+ elog "See the Makefile itself and https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=440318"
+ else
+ ewarn "Building SSL support with OpenSSL instead of GnuTLS. This means that"
+ ewarn "you are not allowed to re-distibute the binaries due to conflicts between BSD license and GPL,"
+ ewarn "see the vpnc Makefile and https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=440318"
+ fi
+}
next reply other threads:[~2022-09-27 9:55 UTC|newest]
Thread overview: 50+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-27 9:55 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-07 11:51 [gentoo-commits] repo/gentoo:master commit in: net-vpn/vpnc/ Sam James
2024-03-07 11:51 Sam James
2024-03-07 11:51 Sam James
2024-03-07 11:51 Sam James
2024-03-07 11:51 Sam James
2024-03-07 10:28 Sam James
2024-03-07 10:28 Sam James
2024-01-29 10:20 David Seifert
2024-01-29 10:12 David Seifert
2024-01-22 13:37 David Seifert
2024-01-22 13:37 David Seifert
2023-02-19 16:38 Sam James
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:25 Sam James
2023-01-13 18:06 Mike Gilbert
2023-01-13 18:05 Mike Gilbert
2022-11-29 18:06 WANG Xuerui
2022-09-27 9:55 David Seifert
2022-09-18 9:32 David Seifert
2022-09-17 17:08 David Seifert
2022-09-17 16:20 Sam James
2021-10-16 22:05 Sam James
2021-10-14 18:32 Sam James
2021-10-14 16:38 Sam James
2021-10-14 5:57 Agostino Sarubbo
2021-10-14 5:56 Agostino Sarubbo
2021-10-13 20:33 Sam James
2021-10-10 19:08 Mike Gilbert
2021-07-24 23:02 Marek Szuba
2020-06-15 9:58 David Seifert
2020-06-12 7:55 Agostino Sarubbo
2020-06-12 7:54 Agostino Sarubbo
2020-06-12 7:53 Agostino Sarubbo
2020-06-12 7:52 Agostino Sarubbo
2020-06-12 7:51 Agostino Sarubbo
2020-06-11 22:08 Mart Raudsepp
2020-06-11 18:01 Sergei Trofimovich
2020-04-14 9:47 David Seifert
2020-04-14 8:35 Joonas Niilola
2019-06-01 19:23 Michał Górny
2019-05-24 20:48 Aaron Bauman
2019-01-17 6:24 Matt Turner
2018-11-08 19:01 Mike Auty
2018-05-20 0:16 Aaron Bauman
2017-07-17 10:18 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1664272511.1053a057f3af62989c9f20d67f100f3d83b7679c.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox